Subject: Re: git over webdav: what can I do for improving http-push ?

From: Jan Hudec <[email-masked]>
Date: Tue, 1 Jan 2008 12:33:01 +0100

On Mon, Dec 31, 2007 at 10:57:52 -0600, Graham Barr wrote:
> Daniel Barkalow wrote:
>> On Sun, 30 Dec 2007, Grégoire Barbier wrote:
>
>>> I'm using Git for a rather short time but enough to fall in love with it. For
>>> a few days I'm trying to use it over webdav, that is over http/https with
>>> write (push) access. As for me, the main rationale to use http(s) rather than
>>> git or ssh is to get through corporate firewalls, otherwise I would probably
>>> not bother with webdav.
>
>> In general, we've been able to either get through firewalls with ssh or 
>> it's all in the same VPN. So it's kind of unloved at this point. People 
>> poke at it occasionally, but mostly in the context of other fixes, I 
>> think.
>
> If you have a http proxy that you can use, the you can use ssh via that with
> something like corkscrew. http://wiki.kartbuilding.net/index.php/Corkscrew_-_ssh_over_https

This, obviously, requires, that ssh is running on port 443, because most HTTP
proxies won't let you CONNECT anywhere else. I have also heared of a HTTP
proxy, that will check whether the session inside CONNECT starts with SSL
handshake and will break your connection if it does not.

> A simple shell script wrapper around ssh to detect when you are behind a firewall
> can inject the ProxyCommand into the command line arguments with -o

Most of the time simply setting the parameter in .ssh/config works better
-- because you are often behind a proxy for some sites only.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>